<?php
// Habilitar la visualización de errores para depuración (quítalo en producción)
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Configuración de la base de datos MySQL
$db_mysql = 'mi_base_mysql';
$host_mysql = "localhost";
$user_mysql = "wp_usertomp";
$pass_mysql = "p3%Pz14YRM@";
$db_mysql = "tompedidos";

// Parámetro recibido desde el celular
$codigoempresa = $_GET['codigoempresa'] ?? '';
$term = $_GET['term'] ?? '';  // El término de búsqueda que llega desde el EditText

// Conexión a la base de datos MySQL
$conn_mysql = new mysqli($host_mysql, $user_mysql, $pass_mysql, $db_mysql);

if ($conn_mysql->connect_error) {
    // Devolver un array con un error si la conexión falla
    echo json_encode(["error" => "Conexión fallida a MySQL: " . $conn_mysql->connect_error]);
    exit;
}

// Consulta a la tabla 'control' en MySQL
$sql_control = "SELECT ip, base, usuario, clave FROM control WHERE codcia = ?";
$stmt = $conn_mysql->prepare($sql_control);
$stmt->bind_param('s', $codigoempresa);
$stmt->execute();
$result = $stmt->get_result();

if ($result->num_rows > 0) {
    $row = $result->fetch_assoc();
    
    // Credenciales para la conexión al segundo servidor (SQL Server)
    $server_sqlserver = $row['ip'];
    $database_sqlserver = $row['base'];
    $username_sqlserver = $row['usuario'];
    $password_sqlserver = $row['clave'];

    try {
        // Conexión al servidor SQL Server usando PDO
        $dsn = "sqlsrv:Server=$server_sqlserver;Database=$database_sqlserver";
        $conn_sqlserver = new PDO($dsn, $username_sqlserver, $password_sqlserver);
        $conn_sqlserver->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

        // Filtrar la consulta en SQL Server basándose en el término de búsqueda
        $term = "%" . $term . "%";  // Para hacer una búsqueda con LIKE
        $sql_item = "SELECT item,factor, nombre, stock, 0 as stockreferencial, precio, iva as pagaIVA FROM item WHERE nombre LIKE ? OR item LIKE ? order by nombre,item";

        // Preparar la consulta
        $stmt_sqlserver = $conn_sqlserver->prepare($sql_item);
        $stmt_sqlserver->execute([$term, $term]);

        $items = array();
        while ($row = $stmt_sqlserver->fetch(PDO::FETCH_ASSOC)) {
            // Limpiar caracteres especiales en cada campo
            $cleaned_row = array_map(function($value) {
                return htmlspecialchars($value, ENT_QUOTES, 'UTF-8');
            }, $row);
            $items[] = $cleaned_row;
        }

        // Verificar si hay resultados, si no devolver un array vacío
        if (empty($items)) {
            echo json_encode([]);
        } else {
            // Devolver los resultados en formato JSON
            echo json_encode($items);
        }

    } catch (PDOException $e) {
        // Si hay un error con la conexión a SQL Server, devolver un array vacío con el mensaje de error
        echo json_encode(["error" => "Conexión fallida a SQL Server: " . $e->getMessage()]);
    } finally {
        // Cerrar conexión PDO
        $conn_sqlserver = null;
    }

} else {
    // Si no se encontraron credenciales, devolver un array vacío
    echo json_encode([]);
}

// Cerrar conexión MySQL
$stmt->close();
$conn_mysql->close();
?>
