<?php
header('Content-Type: application/json');
header('Access-Control-Allow-Origin: *');
require 'db.php';

// Obtener el código de activación desde la solicitud POST
$codigoactivacion = isset($_POST['codigoactivacion']) ? $_POST['codigoactivacion'] : '';

if (empty($codigoactivacion)) {
    echo json_encode(['error' => 'Código de activación no proporcionado']);
    exit();
}

try {
    // Preparar y ejecutar la consulta con el parámetro
    $stmt = $conn->prepare("SELECT pedido, listadefault, variaslistas, aplicadescuento, pordes, infpedidos, infitems, cobros, infcobros, miva, controlfac, allclient_a, diascredito 
                            FROM vendedor 
                            WHERE codigoactivacion = :codigoactivacion");
    $stmt->bindParam(':codigoactivacion', $codigoactivacion);
    $stmt->execute();
    $result = $stmt->fetchAll(PDO::FETCH_ASSOC);

    if ($result) {
        echo json_encode($result);
    } else {
        echo json_encode([]);
    }
} catch (PDOException $e) {
    echo json_encode(['error' => $e->getMessage()]);
}
?>
